	cpu LMM
	.module systemvars.c
	.area text(rom, con, rel)
	.dbfile ./systemvars.c
	.dbfunc e pse_LED_GREEN_TransferFunction _pse_LED_GREEN_TransferFunction fV
;    outputIndex -> X+0
_pse_LED_GREEN_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 15
; //
; // SystemVars.c
; //
; //   Updates system variables
; #include "CMXSystem.h"
; #include "CMXSystemFunction.h"
; #include "SystemConst.h"
; #include "FunctionParamDecl.h"
; #include "SystemVars.h"
; 
; // system variable structure definition
; SYSTEM_VARS_STRUC SystemVars;
; 
; void pse_LED_GREEN_TransferFunction()
; {
	.dbline 16
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_LED_GREEN;
	mov REG[0xd0],>_SystemVars
	mov A,[_SystemVars]
	mov [X+0],A
	.dbline 18
; 
; 	if (SystemVars.ReadOnlyVars.pse_LightSensor < 5)
	cmp [_SystemVars+1],5
	jnc L8
X0:
	.dbline 19
; 	{
	.dbline 20
; 		outputIndex = pse_LED_GREEN__OFF;
	mov [X+0],0
	.dbline 21
; 	}
	xjmp L9
L8:
	.dbline 22
; 	else if (SystemVars.ReadOnlyVars.pse_LightSensor < 15)
	mov REG[0xd0],>_SystemVars
	cmp [_SystemVars+1],15
	jnc L11
X1:
	.dbline 23
; 	{
	.dbline 24
; 		outputIndex = pse_LED_GREEN__BLINKING;
	mov [X+0],2
	.dbline 25
; 	}
	xjmp L12
L11:
	.dbline 26
; 	else if (1)
	.dbline 27
; 	{
	.dbline 28
; 		outputIndex = pse_LED_GREEN__ON;
	mov [X+0],1
	.dbline 29
; 	}
L14:
L12:
L9:
	.dbline 31
; 
; 	SystemVars.ReadOnlyVars.pse_LED_GREEN = outputIndex;
	mov A,[X+0]
	mov REG[0xd0],>_SystemVars
	mov [_SystemVars],A
	.dbline -2
	.dbline 34
; 
; 
; }
L7:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.area data(ram, con, rel)
	.dbfile ./systemvars.c
_SystemVars::
	.byte 0,0
	.dbsym e SystemVars _SystemVars X
