//*****************************************************************************
//*****************************************************************************
//  FILENAME:  `@LIB_NAME`_VarFreqPWM.h
//  Version: 1.1, Updated on 2007/04/20 at 14:00:01 
//  Application: PSoC Express 2.0
//
//  DESCRIPTION:  Header file for the VarFreqPWM Driver
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#ifndef `@LIB_NAME`_VARFREQPWM_include
#define `@LIB_NAME`_VARFREQPWM_include

#include <M8C.h>


////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
// parameter block
typedef struct
{
    BYTE VarFreqPWM_ID; // Instance ID
    BYTE VarFreqPWM_ChannelID;
    BYTE VarFreqPWM_Polarity;
	BYTE VarFreqPWM_DutyCycle;
}`@LIB_NAME`_VarFreqPWM_ParameterBlock;
/////////////////////////////

// Function prototypes
void `@LIB_NAME`_VarFreqPWM_SetValue(const `@LIB_NAME`_VarFreqPWM_ParameterBlock * thisBLK , BYTE bPercentFreqChange);
void `@LIB_NAME`_VarFreqPWM_Instantiate(const `@LIB_NAME`_VarFreqPWM_ParameterBlock * thisBLK );


#endif
