//
// SystemVars.c
//
//   Updates system variables
#include "CMXSystem.h"
#include "CMXSystemFunction.h"
#include "SystemConst.h"
#include "FunctionParamDecl.h"
#include "SystemVars.h"

// system variable structure definition
SYSTEM_VARS_STRUC SystemVars;

void pse_Buzzer_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_Buzzer;

	if (SystemVars.ReadOnlyVars.pse_LightSensor < 20)
	{
		outputIndex = 20 * (SystemVars.ReadOnlyVars.pse_LightSensor / 2);
	}
	else if (SystemVars.ReadOnlyVars.pse_LightSensor >= 20)
	{
		outputIndex = 200;
	}

	SystemVars.ReadOnlyVars.pse_Buzzer = outputIndex;


}

void pse_LED_GREEN_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_LED_GREEN;

	if (SystemVars.ReadOnlyVars.pse_LightSensor < 5)
	{
		outputIndex = pse_LED_GREEN__OFF;
	}
	else if (SystemVars.ReadOnlyVars.pse_LightSensor < 15)
	{
		outputIndex = pse_LED_GREEN__BLINKING;
	}
	else if (1)
	{
		outputIndex = pse_LED_GREEN__ON;
	}

	SystemVars.ReadOnlyVars.pse_LED_GREEN = outputIndex;


}

