//*****************************************************************************
//*****************************************************************************
//  FILENAME:  cmx_pwmvfreq_chan.h
//  @Version@
//  `@PSOC_VERSION`
//
//  DESCRIPTION:  Header file for the pwmvfreq.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2001-2003. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#include "m8c.h"

#pragma fastcall16 PWMVFreqStart
#pragma fastcall16 PWMVFreqSetPeriod
#pragma fastcall16 PWMVFreqSetPolarity
#pragma fastcall16 PWMVFreqSetPulseWidth
#pragma fastcall16 PWMVFreqGetInitialPeriod
#pragma fastcall16 PWMVFreqSuspend

// asm functions
extern void PWMVFreqStart(BYTE bID);
extern void PWMVFreqSetPeriod(BYTE bID, BYTE bPeriod);
extern void PWMVFreqSetPolarity(BYTE bID, BYTE bPolarity); // also used to Resume after Suspend  
extern void PWMVFreqSetPulseWidth(BYTE bID, BYTE bPulseWidth);
extern BYTE PWMVFreqGetInitialPeriod(BYTE bID);
extern void PWMVFreqSuspend(BYTE bID, BYTE bPinState);
// c funcitons
extern void PWMVFreqSetDutyCycle(BYTE bID, BYTE bDutyCycle, BYTE bCurrPeriod);
