//
//  SimTransferFunction.js
//

// variable declarations
var g_LED_GREEN;

// variable ID's
var g_ID_LED_GREEN = 0;

// function parameter ID's


// function parameter defines


// function output states
// LED_GREEN output state ID 
var	g_ID_LED_GREEN_OFF = 0;
var	g_ID_LED_GREEN_ON = 1;
var	g_ID_LED_GREEN_BLINKING = 2;
var	g_ID_LED_GREEN_UNASSIGNED = 255;


// variable output state declarations
// LED_GREEN output state declarations
var	g_LED_GREEN__OFF;
var	g_LED_GREEN__ON;
var	g_LED_GREEN__BLINKING;
var	g_LED_GREEN__UNASSIGNED;


// function parameter declarations


var g_FunctionParams = new Array();

// current value array
var g_CurrentValues = new Array();

function TransferFunction()
{
	// load values from globals
	var ioInfo;
	ioInfo = GetIOInfoFromInstanceName("LED_GREEN");
	if (ioInfo != null)
	{
		g_LED_GREEN = parseInt(ioInfo.sValue);
	}

	// update current value array
	g_CurrentValues[g_ID_LED_GREEN] = g_LED_GREEN;

	// call transfer functions
	LED_GREEN_TransferFunction();

	// set values in globals
	SetIOInfoValueFromInstanceName("LED_GREEN", g_LED_GREEN);

}

function LED_GREEN_TransferFunction()
{
	


}


function InitTransferFunctionGlobals()
{


	// variable output state initializations
	// LED_GREEN output state initializations
	g_LED_GREEN__OFF = 0;
	g_LED_GREEN__ON = 1;
	g_LED_GREEN__BLINKING = 2;
	g_LED_GREEN__UNASSIGNED = 0;


	// variable initialization
	// initialize LED_GREEN globals
    ioInfo = GetIOInfoFromInstanceName("LED_GREEN");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_LED_GREEN = parseInt(ioInfo.sValue);
		}
		else
		{
			g_LED_GREEN = 0;
		}
    }
	else
	{
		g_LED_GREEN = 0;
	}

}

InitTransferFunctionGlobals();




function UpdateSimValues()
{
	// set values in globals
	SetIOInfoValueFromInstanceName("LED_GREEN", g_LED_GREEN);
}

// update the input widgets
function UpdateInputWidgets()
{
//	alert("updating input widgets");
	for(var j  in g_IOInfos)
	{
        if (g_IOInfos[j].sType == "IN" || (g_IOInfos[j].sType == "VARIABLE" && g_IOInfos[j].sDriver == "Variable_IN"))
        {
			var sInstanceName = g_IOInfos[j].sInstanceName;
			var sID	= IDFromInstanceName(sInstanceName)
            var sValue	= g_IOInfos[j].sValue;
		    var sDriver	= g_IOInfos[j].sDriver;
//			alert("updating " + sInstanceName + " = " + sValue);
            sValue = RawToDisplayValue( sID, sValue);
		    WidgetSetValue(sDriver, sID, sValue);
		}
	}
}

function IOState( strID, strValue)
{
    this.strID = strID;
    this.strValue = strValue;
}
