//*****************************************************************************
//*****************************************************************************
//  FILENAME:  `@LIB_NAME`_LX1972L.h
//  Version: 1.0, Updated on 2006/01/28 at 20:15:02
//  Application: PSoC Express 2.0
//
//  DESCRIPTION:  Header file for the LX1972L Driver
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2001-2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#include <m8c.h>

#ifndef `@LIB_NAME`_LX1972L_DRV_HEADER
#define `@LIB_NAME`_LX1972L_DRV_HEADER

`@LX1972L_ORDINAL_DEFINE_BLOCK`
#define `@LIB_NAME`_LX1972L_COUNT `@LX1972L_COUNT`

// LX1972L input Parameter block
typedef struct
{
   BYTE ID;      // Instance ID.  This ID value will be set upon code generation
                 // and will refer to the index in the array of pointers to 
                 // parameter blocks.

   BYTE InPort;  //  Value between 0 and 7 (Could be 0 to 11 if Port2 used)
                 //  For this value, it will relate directly to Port0 pins
                 //  0 through 7.

}`@LIB_NAME`_LX1972L_ParameterBlock;

// Function prototypes
void `@LIB_NAME`_LX1972L_Instantiate( const `@LIB_NAME`_LX1972L_ParameterBlock * thisBLK );
BYTE `@LIB_NAME`_LX1972L_GetValue( const `@LIB_NAME`_LX1972L_ParameterBlock * thisBLK );
#endif
