//*****************************************************************************
//*****************************************************************************
//  FILENAME:  CMX_VarFreqPWM.h
//  Version: 1.1, Updated on 2007/04/20 at 14:00:01 
//  Application: PSoC Express 2.0
//
//  DESCRIPTION:  Header file for the VarFreqPWM Driver
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#ifndef CMX_VARFREQPWM_include
#define CMX_VARFREQPWM_include

#include <M8C.h>


////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
// parameter block
typedef struct
{
    BYTE VarFreqPWM_ID; // Instance ID
    BYTE VarFreqPWM_ChannelID;
    BYTE VarFreqPWM_Polarity;
	BYTE VarFreqPWM_DutyCycle;
}CMX_VarFreqPWM_ParameterBlock;
/////////////////////////////

// Function prototypes
void CMX_VarFreqPWM_SetValue(const CMX_VarFreqPWM_ParameterBlock * thisBLK , BYTE bPercentFreqChange);
void CMX_VarFreqPWM_Instantiate(const CMX_VarFreqPWM_ParameterBlock * thisBLK );


#endif
