//----------------------------------------------------------------------------
// DriverDecl.c
//----------------------------------------------------------------------------

#include "DriverDecl.h"
#include "CMXSystemExtern.h"

const CMX_BLINKINGLED_ParameterBlock pse_LED_GREEN = { ID_pse_LED_GREEN, 16, 1, 1, 1, BLINKINGLED_pse_LED_GREEN_ORDINAL, ID_DIO_14};
const CMX_LX1972L_ParameterBlock pse_LightSensor = {LX1972L_pse_LightSensor_ORDINAL, ID_MVOLTS_06};
const CMX_VarFreqPWM_ParameterBlock pse_Buzzer = { ID_pse_Buzzer, ID_PWMVFREQ_01, 1, 50 };

void * const DriverParams[] =
{
	(void *)0,	// ID = 0
	(void *)&pse_LED_GREEN, // ID = 1
	(void *)&pse_LightSensor, // ID = 2
	(void *)&pse_Buzzer, // ID = 3
		// ID_MAX = 4
};
