//----------------------------------------------------------------------------
// DriverDecl.inc
//----------------------------------------------------------------------------

include "m8c.inc"

CMX_PWM_CHAN_COUNT: equ 0 ; default case, will be redefined below if PWM channels are used

; Driver ID's
ID_pse_LED_GREEN:	equ	1
ID_pse_LightSensor:	equ	2
ID_pse_Buzzer:	equ	3

; Channel ID's
ID_ADC_00:		equ 0
ID_DIO_14:		equ 0
ID_MVOLTS_06:		equ 0
ID_PWMVFREQ_01:		equ 0
ID_SHADOWREGS_0:		equ 0
ID_SHADOWREGS_1:		equ 1
ID_SHADOWREGS_2:		equ 2
ID_SHADOWREGS_3:		equ 3

; Channel Type maximum count
CMX_ADC_CHAN_MAX:	equ	1
CMX_DIGITAL_IO_CHAN_MAX:	equ	1
CMX_MVOLTS_IN_CHAN_MAX:	equ	1
CMX_PWMVFREQ_CHAN_MAX:	equ	1
CMX_SHADOW_MAX:	equ	4

; Channel Type instantiation count
CMX_ADC_CHAN_COUNT:	equ	0
CMX_DIGITAL_IO_CHAN_COUNT:	equ	1
CMX_MVOLTS_IN_CHAN_COUNT:	equ	1
CMX_PWMVFREQ_CHAN_COUNT:	equ	1
CMX_SHADOW_COUNT:	equ	0
