	cpu LMM
	.module systemvars.c
	.area text(rom, con, rel)
	.dbfile ./systemvars.c
	.dbfunc e pse_Buzzer_TransferFunction _pse_Buzzer_TransferFunction fV
;    outputIndex -> X+0
_pse_Buzzer_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 15
; //
; // SystemVars.c
; //
; //   Updates system variables
; #include "CMXSystem.h"
; #include "CMXSystemFunction.h"
; #include "SystemConst.h"
; #include "FunctionParamDecl.h"
; #include "SystemVars.h"
; 
; // system variable structure definition
; SYSTEM_VARS_STRUC SystemVars;
; 
; void pse_Buzzer_TransferFunction()
; {
	.dbline 16
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_Buzzer;
	mov REG[0xd0],>_SystemVars
	mov A,[_SystemVars+2]
	mov [X+0],A
	.dbline 18
; 
; 	if (SystemVars.ReadOnlyVars.pse_LightSensor < 20)
	cmp [_SystemVars+1],20
	jnc L10
X0:
	.dbline 19
; 	{
	.dbline 20
; 		outputIndex = 20 * (SystemVars.ReadOnlyVars.pse_LightSensor / 2);
	mov REG[0xd0],>_SystemVars
	mov A,2
	push A
	mov A,[_SystemVars+1]
	push A
	mov REG[0xd0],>__r0
	xcall __divmodu_8X8_8
	pop A
	add SP,-1
	push X
	mov X,20
	xcall __mul8
	pop X
	mov [X+0],A
	.dbline 21
; 	}
	xjmp L11
L10:
	.dbline 22
; 	else if (SystemVars.ReadOnlyVars.pse_LightSensor >= 20)
	mov REG[0xd0],>_SystemVars
	cmp [_SystemVars+1],20
	jc L14
X1:
	.dbline 23
; 	{
	.dbline 24
; 		outputIndex = 200;
	mov [X+0],-56
	.dbline 25
; 	}
L14:
L11:
	.dbline 27
; 
; 	SystemVars.ReadOnlyVars.pse_Buzzer = outputIndex;
	mov A,[X+0]
	mov REG[0xd0],>_SystemVars
	mov [_SystemVars+2],A
	.dbline -2
	.dbline 30
; 
; 
; }
L8:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_LED_GREEN_TransferFunction _pse_LED_GREEN_TransferFunction fV
;    outputIndex -> X+0
_pse_LED_GREEN_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 33
; 
; void pse_LED_GREEN_TransferFunction()
; {
	.dbline 34
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_LED_GREEN;
	mov REG[0xd0],>_SystemVars
	mov A,[_SystemVars]
	mov [X+0],A
	.dbline 36
; 
; 	if (SystemVars.ReadOnlyVars.pse_LightSensor < 5)
	cmp [_SystemVars+1],5
	jnc L19
X2:
	.dbline 37
; 	{
	.dbline 38
; 		outputIndex = pse_LED_GREEN__OFF;
	mov [X+0],0
	.dbline 39
; 	}
	xjmp L20
L19:
	.dbline 40
; 	else if (SystemVars.ReadOnlyVars.pse_LightSensor < 15)
	mov REG[0xd0],>_SystemVars
	cmp [_SystemVars+1],15
	jnc L22
X3:
	.dbline 41
; 	{
	.dbline 42
; 		outputIndex = pse_LED_GREEN__BLINKING;
	mov [X+0],2
	.dbline 43
; 	}
	xjmp L23
L22:
	.dbline 44
; 	else if (1)
	.dbline 45
; 	{
	.dbline 46
; 		outputIndex = pse_LED_GREEN__ON;
	mov [X+0],1
	.dbline 47
; 	}
L25:
L23:
L20:
	.dbline 49
; 
; 	SystemVars.ReadOnlyVars.pse_LED_GREEN = outputIndex;
	mov A,[X+0]
	mov REG[0xd0],>_SystemVars
	mov [_SystemVars],A
	.dbline -2
	.dbline 52
; 
; 
; }
L18:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.area data(ram, con, rel)
	.dbfile ./systemvars.c
_SystemVars::
	.byte 0,0,0
	.dbsym e SystemVars _SystemVars X
